Subject: bug#14804: Gnus spelling fix: unexist -> nonexistent

From: Ted Zlatanov <[email-masked]>
Date: Tue, 09 Jul 2013 09:42:30 -0400

On Mon, 08 Jul 2013 19:27:09 -0700 Paul Eggert <[email-masked]> wrote: 

PE> On 07/08/2013 07:54 AM, Lars Magne Ingebrigtsen wrote:
>> Anyway, I just don't see much of an upside to changing the what symbols
>> are used in internal data structures.

PE> Emacs source code should avoid misspellings even in
PE> comments and in symbols used only internally.  This is
PE> because the misspellings can cause confusion among
PE> developers, who are the main audience for the code.

I disagree for internal symbols, and because IMHO this is not a
misspelling.  There is very specific meaning to "unexist" that I can't
think of a way to convey easily by any other simple verbs.

PE> I could mark "unexist" as a word that is allowed to be
PE> in Emacs source code and documentation -- but then that word
PE> is more likely to slip into places where it's not wanted.

I don't think that's a huge risk.

Ted